Skip to main content
Topic: Upgrade to 1.0.5 Font Awesome Error (Read 1802 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Upgrade to 1.0.5 Font Awesome Error

Trying to upgrade to 1.0.5 tonight.  I get a not found on the following resource.

"forum/themes/default/webfonts/fontawesome-webfont.woff2?v=4.4.0"

Indeed there is no woff2 version in the webfonts directory.  css/font-awesome.css doesn't mention it but the .min.css version does.  Something is broken here.

Re: Upgrade to 1.0.5 Font Awesome Error

Reply #1
Arg...

 emanuele blames @Spuds :P
Bugs creator.
Features destroyer.
Template killer.

Re: Upgrade to 1.0.5 Font Awesome Error

Reply #2
Great! I did not update till now.  :D

Re: Upgrade to 1.0.5 Font Awesome Error

Reply #3
Yeah its missing in the 1.0.5 package file. I missed it when I made the commit (a new file vs a changed file thing).  You just need to add that file to your /themes/default/webfonts directory.

Other than a file not found annoyance in the dev window, I don't think there is any negative impact.  The woff2 should be the same as the woff file that is included, but woff2 is more compressed for browsers that support that format.  I've attached that one file to this post as well.

I blame my incompetence on age, and maybe booze, but mostly age :P
Be safe, Be kind, Happy Programing

Re: Upgrade to 1.0.5 Font Awesome Error

Reply #4
What about the css and min.css not being in sync?

Re: Upgrade to 1.0.5 Font Awesome Error

Reply #5
Remove the .css and leave the min.css version, its whats called for from the sources.  We moved to using the .min.css to save having to compress a file that no one would customize anyway. 

The upgrade script should have removed the old .css file, its not part of the repo any longer.
Be safe, Be kind, Happy Programing

Re: Upgrade to 1.0.5 Font Awesome Error

Reply #6
I guess I didn't realize and didn't remove the css one... :(
Bugs creator.
Features destroyer.
Template killer.

Re: Upgrade to 1.0.5 Font Awesome Error

Reply #7
It was probably in one of my rambling commit messages.  Then again I did not remember that the updater needed to be changed when I made the commit, so really my mistake on this one.
Be safe, Be kind, Happy Programing

Re: Upgrade to 1.0.5 Font Awesome Error

Reply #8
Did we forget again about that or it was fixed?
Bugs creator.
Features destroyer.
Template killer.


Re: Upgrade to 1.0.5 Font Awesome Error

Reply #10
Great! :D
Bugs creator.
Features destroyer.
Template killer.